Skip to main content
GET
/
v1
/
operations
/
{id}
/
result
Get operation analysis result
curl --request GET \
  --url https://api-mycroft.sherlocker.com.br/api/v1/v1/operations/{id}/result \
  --header 'Authorization: Bearer <token>'
{
  "operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "engineId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "engineName": "<string>",
  "timestamp": "<string>",
  "cedente": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "cnpj": "<string>",
    "razaoSocial": "<string>",
    "status": "approved",
    "issues": [
      {
        "ruleId": "<string>",
        "ruleName": "<string>",
        "category": "blocking",
        "status": "blocked",
        "message": "<string>",
        "detail": {
          "field": "<string>",
          "actual": "<string>",
          "expected": "<string>",
          "threshold": "<string>"
        },
        "dataSource": "<string>"
      }
    ],
    "sacados": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "cnpjCpf": "<string>",
        "razaoSocial": "<string>",
        "tipo": "PJ",
        "status": "approved",
        "issues": [
          {
            "ruleId": "<string>",
            "ruleName": "<string>",
            "category": "blocking",
            "status": "blocked",
            "message": "<string>",
            "detail": {
              "field": "<string>",
              "actual": "<string>",
              "expected": "<string>",
              "threshold": "<string>"
            },
            "dataSource": "<string>"
          }
        ],
        "titulos": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "numero": "<string>",
            "valor": 123,
            "dataVencimento": "<string>",
            "nfeChave": "<string>",
            "status": "approved",
            "issues": [
              {
                "ruleId": "<string>",
                "ruleName": "<string>",
                "category": "blocking",
                "status": "blocked",
                "message": "<string>",
                "detail": {
                  "field": "<string>",
                  "actual": "<string>",
                  "expected": "<string>",
                  "threshold": "<string>"
                },
                "dataSource": "<string>"
              }
            ]
          }
        ]
      }
    ]
  },
  "summary": {
    "totalTitulos": 0,
    "approved": 0,
    "blocked": 0,
    "alerted": 0,
    "totalValue": 123,
    "approvedValue": 123,
    "blockedValue": 123,
    "alertedValue": 123,
    "sacados": {
      "total": 0,
      "withIssues": 0
    },
    "cedente": {
      "status": "approved"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Operation ID

Query Parameters

filter
enum<string>
default:issues

Filter mode. "issues" (default) returns only entities with blocked/alerted status. "all" returns the complete entity tree.

Available options:
issues,
all
include
enum<string>

Optional expansion. Reserved for future use.

Available options:
evidence

Response

Hierarchical analysis result

operationId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
engineId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
engineName
string
required
timestamp
string
required
cedente
object
required
summary
object
required